Package org.gradle.normalization

# Interface InputNormalizationHandler

@Incubating public interface InputNormalizationHandler
Used to configure input normalization. Currently, it is only possible to configure runtime classpath normalization.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`RuntimeClasspathNormalization`
`getRuntimeClasspath()`
Returns the normalization strategy for the runtime classpath.
`void`
`runtimeClasspath(Action<? super RuntimeClasspathNormalization> configuration)`
Configures the normalization strategy for the runtime classpath.

## Method Details

### getRuntimeClasspath

RuntimeClasspathNormalization getRuntimeClasspath()
Returns the normalization strategy for the runtime classpath.

### runtimeClasspath

void runtimeClasspath(Action<? super RuntimeClasspathNormalization> configuration)
Configures the normalization strategy for the runtime classpath.